Summary:   	A remote display system.
Name:      	tightvnc
Version:   	1.3dev5
Release:   	1
URL:       	http://www.tightvnc.com/
Source0:   	%{name}-%{version}_unixsrc.tar.gz
License:   	GPL
Group:		Internet
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures. TightVNC is an enhanced
VNC distribution. This package contains a client which will allow you
to connect to other desktops running a VNC or a TightVNC server.

%prep
%setup -q -n vnc_unixsrc
perl -pi -e "s|/usr/local/vnc/classes|%{_datadir}/vnc/classes|" vncserver

%build
# Use xinit's Xclients script to start the session (bug #52711)
patch < vnc-xclients.patch

xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS" World
cd Xvnc
./configure
make EXTRA_LIBRARIES="-lwrap -lnss_nis" CDEBUGFLAGS="$RPM_OPT_FLAGS" \
     EXTRA_DEFINES="-DUSE_LIBWRAP=1"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
./vncinstall %{buildroot}%{_bindir} %{buildroot}%{_mandir}

mkdir -p %{buildroot}%{_datadir}/vnc
cp -aR classes %{buildroot}%{_datadir}/vnc

strip %{buildroot}%{_bindir}/* || :

mkdir -p %{buildroot}/etc/init.d
install -m755 vncserver.init %{buildroot}/etc/init.d/rc.vncserver

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                                                                               
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                                                                              
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :                                                                            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :                                                                           
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :                                                                          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :                                                                        
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :                                                                    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :                                                                  
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}
%{_mandir}
%{_datadir}
